View Issue Details

IDProjectCategoryView StatusLast Update
00013652 - Next Dev List (Holding Area)Bugpublic2019-03-09 13:54
Reporterk2dlsAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
PlatformNoneOSWindows 7OS Version
Summary0001365: DM780 NTP Function Won't Sync
DescriptionIn the soundcard calibration function is an ntp time synchronization
configuration option. However, because HRD is not running with admin rights the
time sync fails:

12:02:04 NTP Client: Server address = time.windows.com
12:02:04 NTP Client: Server address = 65.55.21.13, port = 123
12:02:04 NTP Client: Receive port = 7123
12:02:04 NTP Client: Receive timeout = 10 seconds
12:02:04 NTP Client: Request sent
12:02:04 NTP Client: Reply received
12:02:04 NTP Client: CEnableSetTime - Error enabling 'set system time' privilege
-
12:02:04 NTP Client: CEnableSetTime - Not all privileges or groups referenced
are assigned to the caller.
12:02:04 NTP Client: Giving up
Additional InformationReported by k2dls
TagsNo tags attached.
ModuleDM780
Sub-Module(select)
TestingNot Started

Activities

WA9PIE

2014-01-19 21:09

administrator   ~0000113

User replies:

This issue has NOT been fixed. It is not possible, as originally reported, to synch time when not running as admin user.

To fix, either the function should take advantage of UAC escalation, or the feature should be removed with a recommendation that all users simply use the OS time synch feature.

Verified as not fixed in V189.

WA9PIE

2014-02-02 15:01

administrator   ~0000317

We're not assigning them until just before they go to the "List of 5".

k2dls

2014-12-06 09:35

updater   ~0000583

Still present as of V312, also noted by WA6NHC.

n4kit

2017-08-18 10:29

developer   ~0004040

Confirmed. The error is "CEnableSetTime – Error enabling ‘set system time’ privilege".
K2DLS also confirms still present in build 777.

k2dls

2018-06-25 14:38

updater   ~0005482

No error return bug logfile shows no return packet received.

15:34:43 NTP Client: Server address = time-b.nist.gov
15:34:43 NTP Client: Server address = 129.6.15.29, port = 123
15:34:43 NTP Client: Receive port = 7123
15:34:43 NTP Client: Receive timeout = 10 seconds
15:34:43 NTP Client: Request sent
15:34:43 NTP Client: No return packet

15:34:43 Web Access: Set priority to -1 (Below normal priority)
15:35:00 NTP Client: Server address = time-a.nist.gov
15:35:00 NTP Client: Server address = 129.6.15.28, port = 123
15:35:00 NTP Client: Receive port = 7123
15:35:00 NTP Client: Receive timeout = 10 seconds
15:35:00 NTP Client: Request sent
15:35:00 NTP Client: No return packet

K7ZCZ

2018-06-29 17:18

manager   ~0005552

The code in the app to implement this feature just tries to add the privilege to the thread token; it doesn't escalate to the admin account to earn the privilege. Adding the privilege will only work if the account already has it, so it's simply coded incorrectly.

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Status new => assigned
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:30 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2014-01-19 21:09 WA9PIE Note Added: 0000113
2014-01-31 23:55 WA9PIE Release => (select)
2014-01-31 23:55 WA9PIE Module => (select)
2014-01-31 23:55 WA9PIE Sub-Module => (select)
2014-01-31 23:55 WA9PIE Report Build => (select)
2014-01-31 23:55 WA9PIE Assigned To Support =>
2014-01-31 23:55 WA9PIE Description Updated View Revisions
2014-02-02 14:32 WA9PIE Summary DM780 NTP Function Won't Sync => Bug: DM780 NTP Function Won't Sync
2014-02-02 15:01 WA9PIE Status assigned => acknowledged
2014-02-02 15:01 WA9PIE Note Added: 0000317
2014-02-02 16:39 WA9PIE View Status private => public
2014-12-06 09:35 k2dls Note Added: 0000583
2015-09-17 13:05 WA9PIE Module (select) => DM780
2015-09-17 13:17 WA9PIE Category DM-780 => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 13:01 WA9PIE Fix Build => (select)
2015-09-29 13:01 WA9PIE Summary Bug: DM780 NTP Function Won't Sync => DM780 NTP Function Won't Sync
2017-08-18 10:29 n4kit Status acknowledged => confirmed
2017-08-18 10:29 n4kit Note Added: 0004040
2018-06-24 09:38 WA9PIE Project 1 - Backlog => Issues Needing Retest
2018-06-25 14:38 k2dls Note Added: 0005482
2018-06-27 09:58 WA9PIE Project Issues Needing Retest => 2 - Next Dev List (Holding Area)
2018-06-29 17:18 K7ZCZ Note Added: 0005552
2019-03-09 13:54 k2dls Reporter Support => k2dls
2019-03-09 13:54 k2dls Testing => Not Started